:PROPERTIES:
:ID:       e02e79be-c510-4382-ab85-d2384b502b20
:END:
#+title: Mistakes are where improvement occurs
#+date: 2021-07-22 14:04:21 +08:00
#+date_modified: 2021-07-22 14:07:23 +08:00
#+language: en


- however, being overly critical of mistakes when learning can lead to [[id:9138397a-a965-45e9-97ea-71849e8d4f94][Overlearning]];
  otherwise, it can lead to overanalyzing;
  [[id:03cd9fad-e187-4939-9347-1a034c6efbe2][Overanalyzing slow you down]]
- if there's no further improvement, you have no need to practice;
  otherwise, you may enter into a state of constantly iterating for the perfect state;
  [[id:b62c61f1-ee12-4bd9-b59a-ec6eafe29f38][Unnecessary optimizations cripple progress]]
- whether you're using yourself as a critic, [[id:6f9c552f-055b-4238-874e-8608006ce0ca][Communicate with others to learn]], or doing [[id:9b669fd4-e04e-43dd-a61e-81dea5ec0764][Deliberate practice]], all of them involves looking out for mistakes and how to mitigate it for your next project
